## eole-common 2.8.0-66

=== Makefile ===
#############################
# Makefile pour eole-common #
#############################

SOURCE=eole-common
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.0
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-common (2.8.0-66) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6ecf420] eole-common-pkg.postinst : avoid update-ca-certficates errors

  [ EOLE Build Daemon ]
  * [6660118] Joël Cuissinat: Update package since “debian/eole/2.8.0-65”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 12 Sep 2023 11:29:17 +0200

eole-common (2.8.0-65) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e384e9f] Tester la présence des verrous de niveau "system" au diagnose.
  * [916a86e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [5acc69d] Benjamin Bohard: Update package since “debian/eole/2.8.0-64”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 22 Jun 2023 10:40:34 +0200

eole-common (2.8.0-64) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3fac6bf] Unité manquante pour la taille du journal.
  * [f1581cd] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [30b6a9c] Benjamin Bohard: Update package since “debian/eole/2.8.0-63”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 May 2023 11:33:47 +0200

eole-common (2.8.0-63) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [31ef11b] Configuration de journald sur l’hôte.
  * [290c549] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [b837681] Benjamin Bohard: Update package since “debian/eole/2.8.0-62”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 May 2023 11:24:24 +0200

eole-common (2.8.0-62) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2511316] changement de libellé (ref ##33511)
  * [fd176c8] Merge branch '2.6.2/master' into 2.7.0/master
  * [5cb7231] Merge branch '2.7.0/master' into 2.7.1/master
  * [a9c2787] Merge branch '2.7.1/master' into 2.7.2/master
  * [ef3d1b8] Merge branch '2.7.2/master' into 2.8.0/master

  [ Laurent Gourvénec ]
  * [922fe4d] Utilise NTPOPTIONS dans ntpdate.service
  * [a6f7293] Merge branch '2.7.2/master' into 2.8.0/master
  * [a943ef4] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f638b8b] Laurent Gourvénec: Update package since “debian/eole/2.8.0-61”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 30 Mar 2022 16:21:43 +0200

eole-common (2.8.0-61) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [65f94ea] add lvm2 to eole-server depends (ref #33948)

  [ EOLE Build Daemon ]
  * [8a33a18] Joël Cuissinat: Update package since “debian/eole/2.8.0-60”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 16 Mar 2022 10:58:46 +0100

eole-common (2.8.0-60) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [0491fa4] Durant une upgrade, upgrade aussi les paquets tiers installés
  * [3144b21] Merge branch '2.6.2/master' into 2.7.0/master
  * [b8cfb7d] Merge branch '2.7.0/master' into 2.7.1/master
  * [6193102] Merge branch '2.7.1/master' into 2.7.2/master
  * [0c64f7a] Merge branch '2.7.2/master' into 2.8.0/master
  * [61a3c75] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [fde6dd5] Laurent Gourvénec: Update package since “debian/eole/2.8.0-59”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 09 Feb 2022 14:43:19 +0100

eole-common (2.8.0-59) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c9baed7] Création du dossier usr/share/eole/upgrade/source.list.d par défaut

  [ EOLE Build Daemon ]
  * [c5ff990] Laurent Gourvénec: Update package since “debian/eole/2.8.0-58”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 11 Jan 2022 18:02:10 +0100

eole-common (2.8.0-58) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d0f1408] changer le valid_enum en nombre pour toutes les interfaces (ref #33377)
  * [b9d4f0e] Merge branch '2.7.2/master' into 2.8.0/master
  * [f7cda0d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8e48c40] Emmanuel Garette: Update package since “debian/eole/2.8.0-57”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 11 Jan 2022 12:28:04 +0100

eole-common (2.8.0-57) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [072906d] changer le valid_enum en nombre (ref #33377)
  * [d75f07c] Merge branch '2.7.2/master' into 2.8.0/master
  * [1b644cb] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [43e94c5] Emmanuel Garette: Update package since “debian/eole/2.8.0-56”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 10 Jan 2022 16:08:56 +0100

eole-common (2.8.0-56) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fdddb0a] pouvoir upgrade dans un environnement verrouillé (ref #33511)
  * [6615273] Merge branch '2.6.2/master' into 2.7.0/master
  * [f591e6f] Merge branch '2.7.0/master' into 2.7.1/master
  * [52abcd5] Merge branch '2.7.1/master' into 2.7.2/master
  * [b69cb8b] Merge branch '2.7.2/master' into 2.8.0/master
  * [66e251c] appel de la fonction de migration des dépôts additionnels (ref #33537)
  * [14cd733] Merge branch '2.6.2/master' into 2.7.0/master
  * [2929052] Merge branch '2.7.0/master' into 2.7.1/master
  * [06b23e9] Merge branch '2.7.1/master' into 2.7.2/master
  * [5aa8711] Merge branch '2.7.2/master' into 2.8.0/master
  * [81d1444] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [46f215b] Emmanuel Garette: Update package since “debian/eole/2.8.0-55”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 10 Jan 2022 15:12:52 +0100

eole-common (2.8.0-55) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ebf623c] fixe (ref #33377)
  * [f43aa94] xMerge branch '2.7.2/master' into 2.8.0/master
  * [4026d5b] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [28a8872] Emmanuel Garette: Update package since “debian/eole/2.8.0-54”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 08 Nov 2021 10:02:28 +0100



=== debian/control ===
Source: eole-common
Section: admin
Priority: optional
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               dh-systemd
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-common
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-common/repository

Package: eole-common-pkg
Section: metapackages
Architecture: all
Depends: ca-certificates,
         certbot,
         ifenslave,
         iptables,
         less,
         molly-guard,
         nano,
         openssh-client,
         openssh-server,
         rsyslog,
         rsyslog-gnutls,
         rsyslog-relp,
         s-nail,
         vim,
         eole-archive-keyring,
         eole-debsums,
         eole-resolvconf,
         eole-ssmtp-pkg | eole-mail-pkg,
         ifenslave,
         apt-transport-https,
         ${misc:Depends}
Replaces: creole (<= 2.4.0-128),
          supervision-psin (<< 2.6.1-12)
Breaks: creole (<= 2.4.0-128),
        supervision-psin (<< 2.6.1-12)
Description: Dépendance commune à tous les serveurs EOLE
 Ce paquet installe les dépendances communes à tous les serveurs et
 conteneurs EOLE.

Package: eole-server
Architecture: all
Depends: acpid,
         apparmor,
         apt-show-versions,
         at,
         console-data,
         convmv,
         elinks,
         fdisk,
         fping,
         gnutls-bin,
         gpm,
         htop,
         language-pack-fr,
         language-pack-gnome-fr,
         libpam-passwdqc,
         lvm2,
         manpages-fr,
         memtest86+,
         mlocate,
         networkd-dispatcher,
         net-tools,
         ntp,
         ntpdate,
         ntpstat,
         numlockx,
         pwgen,
         rng-tools,
         screen,
         tcptraceroute,
         tofrodos,
         traceroute,
         tree,
         unzip,
         update-manager-core,
         vlan,
         vnstat,
         vnstati,
         w3m,
         zephir-stats | zephir-backend,
         zip,
         creole (>= 2.5.0~1-6),
         plymouth-theme-eole-logo,
         plymouth-theme-eole-text,
         eole-common-pkg,
         eole-debsums-zephir-agent,
         eole-ead,
         eole-ead3,
         eole-exim | eole-mail,
         eole-exim-pkg | eole-mail-pkg,
         eole-genconfig,
         eole-genconfig-client,
         eole-modele-vm,
         eole-nut,
         ubuntu-minimal,
         ubuntu-standard,
         ${misc:Depends}
Replaces: eole-common (<= 2.4.0-1),
          eolebase-minimal (<< 2.4),
          eolebase (<< 2.4),
          eole-kernel-version
Breaks: eole-common (<= 2.4.0-1),
        eolebase-minimal (<< 2.4),
        eolebase (<< 2.4),
        eole-kernel-version
Provides: eole-common, eolebase-minimal, eolebase, eole-kernel-version
Description: Dictionnaires et templates communs pour EOLE
 Ce paquet fournit la base commune à tous les modules EOLE.
 .
 Ce paquet est destiné à tous les serveurs, qu’ils soient contrôleur
 LXC ou pas.

Package: eole-lxc-controller
Architecture: all
Depends: lxc1,
         lxc-templates,
         debootstrap,
         cgroup-lite,
         eole-ssmtp-pkg,
         eole-apt-cacher-ng,
         eole-server,
Replaces: eole-conteneur (<< 2.4)
Breaks: eole-conteneur (<< 2.4)
Provides: eole-conteneur
Description: Utilitaire pour la mise en place des conteneurs EOLE
 Ce paquet fourni la base commune à tous les modules EOLE.
 .
 Ce paquet n’est destiné qu’au contrôleur LXC, appelé « serveur
 maître » dans la documentation EOLE.

Package: eole-lxc-container-pkg
Section: metapackages
Architecture: all
Depends: eole-common-pkg,
         eole-lxc-container-apps,
         ${misc:Depends},
Replaces: eolebase-conteneur (<< 2.4)
Breaks: eolebase-conteneur (<< 2.4)
Provides: eolebase-conteneur
Description: Dépendances de base pour les conteneurs LXC
 Ce paquet installe les dépendances communes à tous les conteneurs
 LXC, appelés « serveurs conteneurs » dans la documentation EOLE.

Package: eole-lxc-container-apps
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Description: Outil de base pour les conteneurs LXC
 Ce paquet s'installe dans tous les conteneurs
 LXC, appelés « serveurs conteneurs » dans la documentation EOLE.

Package: eole-ssmtp-pkg
Section: metapackages
Architecture: all
Depends: ssmtp, ${misc:Depends},
Provides: eole-mail-pkg
Conflicts: eole-mail-pkg,
           exim4-config,
           eole-exim4-config
Replaces: eole-mail-pkg,
          exim4-config,
          eole-exim4-config
Description: Dépendances sur le MTA ssmtp
 Ce paquet installe le programme ssmtp.

Package: eole-resolvconf
Architecture: all
Depends: ${misc:Depends},
Conflicts: resolvconf
Replaces: resolvconf
Provides: resolvconf
Priority: important
Description: Metapaquet pour supprimer/remplacer resolvconf

Package: eole-mode-zephir
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Description: Enable the Zephir mode
 This package enable the Zephir mode by providing a dedicated EOLE
 XML schema file.
 .
 This package is only used by the “dl-schemas” tool in “zephir-parc”
 to update the EOLE XML schema files for the Zephir module.

# Package: eole-firewall
# Architecture: all
# Depends: ${misc:Depends},
# Conflicts: era
# Replaces: era
# Description: Paquet permettant de gérer le firewall sans Era

# Package: eole-icons
# Architecture: all
# Depends: libgtk2.0-bin, ${misc:Depends},
# Conflicts: gnome-icon-theme
# Replaces: gnome-icon-theme
# Description: Icones pour GNOME

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with systemd

# Do not use the makefile
override_dh_auto_build:

# Exclude eole-lxc-controller files from eole-server
override_dh_install:
	dh_install -peole-common-pkg
	# Exclude everything related to container mode and dedicated to zephir
	dh_install -peole-server --exclude=01_container.xml --exclude=lxc --exclude=29_mode_zephir.xml
	dh_install -peole-lxc-controller
	dh_install -peole-lxc-container-pkg
	dh_install -peole-lxc-container-apps
	dh_install -peole-ssmtp-pkg
	dh_install -peole-mode-zephir

# Force init script name
override_dh_installinit:
	dh_installinit --noscripts -peole-server --name=ferme-firewall $@
	dh_installinit --noscripts -peole-server --name=bastion $@
	dh_installinit --noscripts -peole-server --name=netplan-apply $@
	dh_installinit --noscripts -peole-server --name=netplan-wait-online $@
	dh_installinit --noscripts -peole-server --name=ntpdate $@
	dh_installinit --noscripts -peole-lxc-container-apps --name=bastion $@

override_dh_systemd_enable:
	dh_systemd_enable -peole-server --name=netplan-apply
	dh_systemd_enable -peole-server --name=netplan-wait-online
	dh_systemd_enable -peole-server --name=ntpdate
	dh_systemd_enable -peole-server --name=ferme-firewall
	dh_systemd_enable -peole-server --name=bastion
	dh_systemd_enable -peole-lxc-container-apps --name=bastion

override_dh_systemd_start:
	dh_systemd_start -peole-server --no-start --no-restart-on-upgrade ferme-firewall.service
	dh_systemd_start -peole-server --no-restart-on-upgrade bastion.service
	dh_systemd_start -peole-lxc-container-apps --no-restart-on-upgrade bastion.service

.PHONY: override_dh_auto_build override_dh_installinit override_dh_install

## eole-common 2.8.1-42

=== debian/changelog ===
eole-common (2.8.1-42) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4a0402a] LXC: “krb5-config” blocks installation because of missing DNS config
  * [8a9a8d9] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [170fe94] Daniel Dehennin: Update package since “debian/eole/2.8.1-41”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 22 Jun 2021 10:25:00 +0200

eole-common (2.8.1-41) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [0c2d5f9] installer eole-common après eole-scribehorus (ref #32755)

  [ EOLE Build Daemon ]
  * [ed2fbd1] Emmanuel Garette: Update package since “debian/eole/2.8.1-40”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 18 Jun 2021 07:39:33 +0200

eole-common (2.8.1-40) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [b371e2f] les mirroirs Ubuntu et EOLE doivent être utilisé durant la migration Upgrade-Auto (ref #32473)
  * [c029302] ne pas mettre le fichier de mirroir dans le répertoire des fichiers de configuration (ref #32473)
  * [1332048] Merge branch '2.6.2/master' into 2.7.0/master
  * [9b8f370] Merge branch '2.7.0/master' into 2.7.1/master
  * [a0272a0] Merge branch '2.7.1/master' into 2.7.2/master
  * [48e2b62] Merge branch '2.7.2/master' into 2.8.0/master
  * [1cc7051] Merge branch '2.8.0/master'
  * [a0b5046] deplacement de 50_disabled_ipv6.conf dans eole-common (ref #32755)
  * [6f2b6c0] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [08fad77] Emmanuel Garette: Update package since “debian/eole/2.8.1-39”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Jun 2021 15:25:48 +0200

eole-common (2.8.1-39) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b082e26] dicos/00_common.xml : cosmetic fix for activer_proxy_client_mitm

  [ Emmanuel Garette ]
  * [1160746] desactivé l'ipv6 dans les conteneurs (ref #32747)
  * [2dcd973] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [020ee6f] Emmanuel Garette: Update package since “debian/eole/2.8.1-38”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 10 Jun 2021 14:34:28 +0200

eole-common (2.8.1-38) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [68f7289] suppression de la variable inutilisé dans les agents Zéphir (ref #32157)
  * [631f366] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [40c6f76] Emmanuel Garette: Update package since “debian/eole/2.8.1-37”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 07 Jun 2021 11:00:56 +0200

eole-common (2.8.1-37) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d6705a9] Mettre à jour les fichiers de packaging pour l’installation.

  [ EOLE Build Daemon ]
  * [e3746c5] Benjamin Bohard: Update package since “debian/eole/2.8.1-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 10 May 2021 08:55:06 +0200

eole-common (2.8.1-36) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [a1e7a7d] Créer le répertoire de patchs issus des backports.
  * [b31a2ec] Les patches ne sont pas des fichiers de configuration.
  * [4868ea9] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fc03493] Benjamin Bohard: Update package since “debian/eole/2.8.1-35”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 10 May 2021 08:46:15 +0200

eole-common (2.8.1-35) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e0a29e6] majauto/pre/mitm : mask creoled error
  * [599285c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d124e2e] Joël Cuissinat: Update package since “debian/eole/2.8.1-34”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 May 2021 14:46:22 +0200

eole-common (2.8.1-34) eole-2.8-unstable; urgency=low

  [ Philippe Caseiro ]
  * [88bd9b3] Adding eole-modele-vm dep for eole-server package

  [ EOLE Build Daemon ]
  * [625f74f] Philippe Caseiro: Update package since “debian/eole/2.8.1-33”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 29 Apr 2021 12:08:51 +0200

eole-common (2.8.1-33) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [2440194] Ne pas conditionner la séléction des lignes à la présence de {
  * [3363497] Merge branch '2.8.0/master'
  * [4cb2b47] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [23b273e] Benjamin Bohard: Update package since “debian/eole/2.8.1-32”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 26 Apr 2021 10:10:34 +0200

eole-common (2.8.1-32) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ca3f833] Disable `apport` in postinstall script

  [ EOLE Build Daemon ]
  * [d8693d0] Joël Cuissinat: Update package since “debian/eole/2.8.1-31”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 15 Apr 2021 16:25:28 +0200

eole-common (2.8.1-31) eole-2.8-unstable; urgency=low

  [ Laurent Flori ]
  * [aaba38f] Add correct options to take care of apparmor cache

  [ EOLE Build Daemon ]
  * [606097d] Laurent Flori: Update package since “debian/eole/2.8.1-30”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Tue, 13 Apr 2021 13:12:58 +0200

eole-common (2.8.1-30) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [489efa6] d/postinst: don't remove /dev/log if it a link to systemd socket

  [ EOLE Build Daemon ]
  * [6c3ea36] Daniel Dehennin: Update package since “debian/eole/2.8.1-29”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 25 Mar 2021 15:59:19 +0100

eole-common (2.8.1-29) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [14b5082] Add new dirs to package

  [ EOLE Build Daemon ]
  * [cbb9fe3] Joël Cuissinat: Update package since “debian/eole/2.8.1-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 19 Mar 2021 11:05:21 +0100

eole-common (2.8.1-28) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [e09507c] Afficher le nom du fichier qui n’a pas été patché.
  * [ed583ab] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -58,7 +58,6 @@
          language-pack-fr,
          language-pack-gnome-fr,
          libpam-passwdqc,
-         lvm2,
          manpages-fr,
          memtest86+,
          mlocate,
@@ -94,7 +93,7 @@
          eole-exim-pkg | eole-mail-pkg,
          eole-genconfig,
          eole-genconfig-client,
-         eole-modele-vm,
+	 eole-modele-vm,
          eole-nut,
          ubuntu-minimal,
          ubuntu-standard,
@@ -102,10 +101,12 @@
 Replaces: eole-common (<= 2.4.0-1),
           eolebase-minimal (<< 2.4),
           eolebase (<< 2.4),
+	  eole-scribehorus (<<2.8.1-8),
           eole-kernel-version
 Breaks: eole-common (<= 2.4.0-1),
         eolebase-minimal (<< 2.4),
         eolebase (<< 2.4),
+	eole-scribehorus (<<2.8.1-8),
         eole-kernel-version
 Provides: eole-common, eolebase-minimal, eolebase, eole-kernel-version
 Description: Dictionnaires et templates communs pour EOLE

## eole-common 2.8.1-93

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-common
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-common (2.8.1-93) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3820f9a] ajout de l'usage (ref #36362)
  * [afc3167] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [34865c9] Emmanuel Garette: Update package since “debian/eole/2.8.1-92”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 13:58:42 +0100

eole-common (2.8.1-92) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [805a05b] mise en commun de la fonction qui liste les certificats (ref #36362)
  * [3cdd228] reinialisation de la liste des certificats au reconfigure (ref #36364)
  * [b7fd817] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c820168] Emmanuel Garette: Update package since “debian/eole/2.8.1-91”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 31 Dec 2024 12:13:07 +0100

eole-common (2.8.1-91) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d70f5ff] Update timezone in ScribeAD addc container (backport)
  * [20458c5] Improve ScribeAD test for timezone update (backport)
  * [7fc2d68] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b9a5548] Joël Cuissinat: Update package since “debian/eole/2.8.1-90”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Oct 2024 16:48:53 +0200

eole-common (2.8.1-90) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [2fe3ea6] Le contenu de la cible de server_pem n’est pas toujours le même.
  * [30d710f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [8014bc2] Benjamin Bohard: Update package since “debian/eole/2.8.1-89”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 05 Sep 2024 15:16:43 +0200

eole-common (2.8.1-89) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [39e12b2] Réactivation de l'agent sur ScribeAD
  * [a91c1bd] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ee5e9b0] Joël Cuissinat: Update package since “debian/eole/2.8.1-88”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 10 Jan 2024 12:53:14 +0100

eole-common (2.8.1-88) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6b58218] Section manquante dans le fichier de configuration.
  * [e7500c7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7e7b78e] Benjamin Bohard: Update package since “debian/eole/2.8.1-87”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 27 Nov 2023 15:03:58 +0100

eole-common (2.8.1-87) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [86d6d86] Exposer le role de contrôleur de domaine pour les agents Zéphir.
  * [9b30b3a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0b167a0] Benjamin Bohard: Update package since “debian/eole/2.8.1-86”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 Nov 2023 15:24:03 +0100

eole-common (2.8.1-86) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a45e681] Dépendance sur la version de creole-common apportant la fonction.

  [ EOLE Build Daemon ]
  * [ae6f380] Benjamin Bohard: Update package since “debian/eole/2.8.1-85”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 06 Nov 2023 11:17:30 +0100

eole-common (2.8.1-85) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [f500789] Ajout d’une ligne dans la liste des certificats utilisés.
  * [3fc43aa] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b3d9266] Benjamin Bohard: Update package since “debian/eole/2.8.1-84”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 02 Oct 2023 08:48:43 +0200

eole-common (2.8.1-84) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b4bfa97] eole-common-pkg.postinst : avoid update-ca-certficates errors

  [ EOLE Build Daemon ]
  * [b765543] Joël Cuissinat: Update package since “debian/eole/2.8.1-83”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 12 Sep 2023 11:30:03 +0200

eole-common (2.8.1-83) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [bfa5574] dicos/02_certif.xml : utilisation d'un calcul dédié pour "eolesso_adresse_local"
  * [1c5e520] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1093dca] : Update package since “debian/eole/2.8.1-82”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Tue, 29 Aug 2023 18:03:47 +0200

eole-common (2.8.1-82) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ee3c533] * dicos/02_certif.xml : don't add eolesso_adresse to subjectaltname if SSO is not local
  * [84bb394] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [809829c] : Update package since “debian/eole/2.8.1-81”

 -- EOLE Build Daemon <buildd@pollux.eole.lan>  Thu, 24 Aug 2023 10:51:24 +0200

eole-common (2.8.1-81) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e384e9f] Tester la présence des verrous de niveau "system" au diagnose.
  * [d0096ad] Merge branch '2.8.0/master' into 2.8.1/master
  * [f1d66e7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [82b3c3b] Benjamin Bohard: Update package since “debian/eole/2.8.1-80”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 22 Jun 2023 10:41:03 +0200

eole-common (2.8.1-80) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [3fac6bf] Unité manquante pour la taille du journal.
  * [ded7393] Merge branch '2.8.0/master' into 2.8.1/master
  * [fa46cf8] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [54e8b8f] Benjamin Bohard: Update package since “debian/eole/2.8.1-79”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 May 2023 11:35:05 +0200

eole-common (2.8.1-79) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [31ef11b] Configuration de journald sur l’hôte.


=== debian/control ===
--- 
+++ 
@@ -58,6 +58,7 @@
          language-pack-fr,
          language-pack-gnome-fr,
          libpam-passwdqc,
+         lvm2,
          manpages-fr,
          memtest86+,
          mlocate,
@@ -83,6 +84,7 @@
          zephir-stats | zephir-backend,
          zip,
          creole (>= 2.5.0~1-6),
+         creole-common (>= 2.8.1-118),
          plymouth-theme-eole-logo,
          plymouth-theme-eole-text,
          eole-common-pkg,

## eole-common 2.9.0-38

=== debian/changelog ===
eole-common (2.9.0-38) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [aa8fe2d] Ne pas configurer apt pour utiliser le CDROM.
  * [fa6b0ac] Merge branch 'scenario/34753'
  * [a7f80f1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [55df1a8] Benjamin Bohard: Update package since “debian/eole/2.9.0-37”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 31 Oct 2022 13:41:21 +0100

eole-common (2.9.0-37) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d27343a] Ajout des variables pour conditionner l’utilisation du mode promiscuous.
  * [7d2c960] Configurer le mode promiscuous en fonction de la variable creole.
  * [64ca69e] Templatisation des fichiers de configuration du réseau avant utilisation.
  * [9854ad3] Mise à jour des traductions.
  * [e1e4cd1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [72e6ae7] Benjamin Bohard: Update package since “debian/eole/2.9.0-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 27 Oct 2022 15:00:00 +0200

eole-common (2.9.0-36) eole-2.9-unstable; urgency=low

  [ Philippe Caseiro ]
  * [54f8442] Support de l'upgrade vers une version de développement (ref #34766)
  * [836400e] Merge branch '1.8.1/master'

  [ Joël Cuissinat ]
  * [374b02b] majauto/pre/mitm : uppercase all
  * [1e466f1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [5537885] Joël Cuissinat: Update package since “debian/eole/2.9.0-35”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 26 Oct 2022 12:14:15 +0200

eole-common (2.9.0-35) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4963209] Révision des dépendances pour permettre la conservation de systemd-timesyncd.

  [ EOLE Build Daemon ]
  * [89c2c76] Benjamin Bohard: Update package since “debian/eole/2.9.0-34”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 24 Oct 2022 08:55:36 +0200

eole-common (2.9.0-34) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [96c66b9] Séparer les aspects serveur et client NTP.
  * [2705dea] Merge branch 'scenario/33912'
  * [03b66e7] Merge branch 'master' into dist/eole/2.9.0/master
  * [022934e] Dépendance sur le nouveau service ou systemd-syncd.

  [ EOLE Build Daemon ]
  * [0d7c981] Benjamin Bohard: Update package since “debian/eole/2.9.0-33”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 20 Oct 2022 10:10:00 +0200

eole-common (2.9.0-33) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6f4a27c] Remove obsolete twisted-web debsums exception on 2.9 (ref #30555)

  [ EOLE Build Daemon ]
  * [d14eb23] Joël Cuissinat: Update package since “debian/eole/2.9.0-32”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Oct 2022 14:43:10 +0200

eole-common (2.9.0-32) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [08976e7] Remove obsolete twisted-web debsums exception on 2.9 (ref #30555)
  * [66fe20e] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f6edde5] Joël Cuissinat: Update package since “debian/eole/2.9.0-31”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Oct 2022 11:47:54 +0200

eole-common (2.9.0-31) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c82d245] Révision de la procédure de diagnostic des certificats.
  * [71be917] Merge branch 'scenario/34549' into 2.8.1/master
  * [be63a8e] Déport de la fonction d’affichage dans pyeole.
  * [a3f41d1] Merge branch 'scenario/34549' into 2.8.1/master
  * [be48c71] Merge branch '2.8.1/master'
  * [2bd88ba] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [8b02eca] Benjamin Bohard: Update package since “debian/eole/2.9.0-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 19 Sep 2022 08:45:34 +0200

eole-common (2.9.0-30) eole-2.9-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [0ec331d] Utilisation de .ssh/eole comme fichier d'identité par défault
  * [0221c97] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [95b0c22] Laurent Gourvénec: Update package since “debian/eole/2.9.0-29”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 07 Sep 2022 12:01:54 +0200

eole-common (2.9.0-29) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b5439cc] Réinitialisation des services en erreur dans instance/reconfigure
  * [888f355] Merge branch '2.8.1/master'
  * [6745b4f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f5b423c] Joël Cuissinat: Update package since “debian/eole/2.9.0-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Aug 2022 12:37:18 +0200

eole-common (2.9.0-28) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [054dec9] Plusieurs tentatives de suppression des ensembles d’IP.
  * [1c75bc5] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c1e5cbd] Benjamin Bohard: Update package since “debian/eole/2.9.0-27”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 09 Jun 2022 11:24:52 +0200

eole-common (2.9.0-27) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ae15f4b] Installer la commande eole-ssh-keygen dans les conteneurs.

  [ EOLE Build Daemon ]
  * [82dd9eb] Benjamin Bohard: Update package since “debian/eole/2.9.0-26”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 30 May 2022 11:06:17 +0200

eole-common (2.9.0-26) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [a93c1ea] remplir le fichier host pour lemonldap

  [ Benjamin Bohard ]
  * [1edfb95] Fermeture de bloc conditionnel manquante.
  * [803cf4b] Merge branch '34127'
  * [b624029] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [700f202] Benjamin Bohard: Update package since “debian/eole/2.9.0-25”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 24 May 2022 10:09:14 +0200

eole-common (2.9.0-25) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [8bec296] python2 component is deprecated on EOLE 2.9 (ref #33782)
  * [a254173] Merge branch 'master' into dist/eole/2.9.0/master


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe Eole <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9),
-               dh-systemd
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 13)
+Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-common
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-common/repository
@@ -12,6 +11,7 @@
 Package: eole-common-pkg
 Section: metapackages
 Architecture: all
+Conflicts: eole-server (<=2.9.0-26)
 Depends: ca-certificates,
          certbot,
          ifenslave,
@@ -28,15 +28,10 @@
          vim,
          eole-archive-keyring,
          eole-debsums,
-         eole-resolvconf,
          eole-ssmtp-pkg | eole-mail-pkg,
          ifenslave,
          apt-transport-https,
          ${misc:Depends}
-Replaces: creole (<= 2.4.0-128),
-          supervision-psin (<< 2.6.1-12)
-Breaks: creole (<= 2.4.0-128),
-        supervision-psin (<< 2.6.1-12)
 Description: Dépendance commune à tous les serveurs EOLE
  Ce paquet installe les dépendances communes à tous les serveurs et
  conteneurs EOLE.
@@ -64,9 +59,7 @@
          mlocate,
          networkd-dispatcher,
          net-tools,
-         ntp,
-         ntpdate,
-         ntpstat,
+         systemd-timesyncd|ntp,
          numlockx,
          pwgen,
          rng-tools,
@@ -83,8 +76,7 @@
          w3m,
          zephir-stats | zephir-backend,
          zip,
-         creole (>= 2.5.0~1-6),
-         creole-common (>= 2.8.1-118),
+         creole,
          plymouth-theme-eole-logo,
          plymouth-theme-eole-text,
          eole-common-pkg,
@@ -100,17 +92,9 @@
          ubuntu-minimal,
          ubuntu-standard,
          ${misc:Depends}
-Replaces: eole-common (<= 2.4.0-1),
-          eolebase-minimal (<< 2.4),
-          eolebase (<< 2.4),
-	  eole-scribehorus (<<2.8.1-8),
-          eole-kernel-version
-Breaks: eole-common (<= 2.4.0-1),
-        eolebase-minimal (<< 2.4),
-        eolebase (<< 2.4),
-	eole-scribehorus (<<2.8.1-8),
-        eole-kernel-version
-Provides: eole-common, eolebase-minimal, eolebase, eole-kernel-version
+Replaces: eole-resolvconf
+Breaks: eole-resolvconf
+Provides: eole-common, eolebase-minimal, eolebase, eole-resolvconf
 Description: Dictionnaires et templates communs pour EOLE
  Ce paquet fournit la base commune à tous les modules EOLE.
  .
@@ -126,9 +110,6 @@
          eole-ssmtp-pkg,
          eole-apt-cacher-ng,
          eole-server,
-Replaces: eole-conteneur (<< 2.4)
-Breaks: eole-conteneur (<< 2.4)
-Provides: eole-conteneur
 Description: Utilitaire pour la mise en place des conteneurs EOLE
  Ce paquet fourni la base commune à tous les modules EOLE.
  .
@@ -141,9 +122,6 @@
 Depends: eole-common-pkg,
          eole-lxc-container-apps,
          ${misc:Depends},
-Replaces: eolebase-conteneur (<< 2.4)
-Breaks: eolebase-conteneur (<< 2.4)
-Provides: eolebase-conteneur
 Description: Dépendances de base pour les conteneurs LXC
  Ce paquet installe les dépendances communes à tous les conteneurs
  LXC, appelés « serveurs conteneurs » dans la documentation EOLE.
@@ -170,15 +148,6 @@
 Description: Dépendances sur le MTA ssmtp
  Ce paquet installe le programme ssmtp.
 
-Package: eole-resolvconf
-Architecture: all
-Depends: ${misc:Depends},
-Conflicts: resolvconf
-Replaces: resolvconf
-Provides: resolvconf
-Priority: important
-Description: Metapaquet pour supprimer/remplacer resolvconf
-
 Package: eole-mode-zephir
 Section: metapackages
 Architecture: all
@@ -189,17 +158,3 @@
  .
  This package is only used by the “dl-schemas” tool in “zephir-parc”
  to update the EOLE XML schema files for the Zephir module.
-
-# Package: eole-firewall
-# Architecture: all
-# Depends: ${misc:Depends},
-# Conflicts: era
-# Replaces: era
-# Description: Paquet permettant de gérer le firewall sans Era
-
-# Package: eole-icons
-# Architecture: all
-# Depends: libgtk2.0-bin, ${misc:Depends},
-# Conflicts: gnome-icon-theme
-# Replaces: gnome-icon-theme
-# Description: Icones pour GNOME

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 # Do not use the makefile
 override_dh_auto_build:
@@ -35,17 +35,16 @@
 	dh_installinit --noscripts -peole-server --name=ntpdate $@
 	dh_installinit --noscripts -peole-lxc-container-apps --name=bastion $@
 
-override_dh_systemd_enable:
-	dh_systemd_enable -peole-server --name=netplan-apply
-	dh_systemd_enable -peole-server --name=netplan-wait-online
-	dh_systemd_enable -peole-server --name=ntpdate
-	dh_systemd_enable -peole-server --name=ferme-firewall
-	dh_systemd_enable -peole-server --name=bastion
-	dh_systemd_enable -peole-lxc-container-apps --name=bastion
+override_dh_installsystemd:
+	dh_installsystemd -peole-server --name=netplan-apply
+	dh_installsystemd -peole-server --name=netplan-wait-online
+	dh_installsystemd -peole-server --name=ntpdate
+	dh_installsystemd -peole-server --name=ferme-firewall --no-start --no-restart-on-upgrade
+	dh_installsystemd -peole-server --name=bastion --no-restart-on-upgrade
+	dh_installsystemd -peole-lxc-container-apps --name=bastion --no-restart-on-upgrade
 
-override_dh_systemd_start:
-	dh_systemd_start -peole-server --no-start --no-restart-on-upgrade ferme-firewall.service
-	dh_systemd_start -peole-server --no-restart-on-upgrade bastion.service
-	dh_systemd_start -peole-lxc-container-apps --no-restart-on-upgrade bastion.service
+override_dh_builddeb:
+	# Make package compatible with older version
+	dh_builddeb -- -Zgzip -Srle
 
-.PHONY: override_dh_auto_build override_dh_installinit override_dh_install
+.PHONY: override_dh_auto_build override_dh_install override_dh_installinit override_dh_installsystemd override_dh_builddeb

## eole-common 2.9.0-51

=== debian/changelog ===
eole-common (2.9.0-51) eole-2.9.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [32ce10d] refactor(network): render network block if any route is enabled
  * [88778d3] fix(network): configure default route in extra-routes
  * [5d8bec6] fix(network): add default route for VLAN interfaces
  * [bfb5b49] style(network): remove blank lines in rendered 01-extras-routes.yaml
  * [7a58587] Merge branch 'fix/network-routes'
  * [f1ecb06] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ef7541a] Daniel Dehennin: Update package since “debian/eole/2.9.0-50”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 23 Feb 2023 11:31:10 +0100

eole-common (2.9.0-50) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [f6876c9] fix(config) : fix syntax in /etc/systemd/timesyncd.conf
  * [307c223] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [571583e] Joël Cuissinat: Update package since “debian/eole/2.9.0-49”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 22 Feb 2023 10:08:57 +0100

eole-common (2.9.0-49) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e6a4234] Improve ScribeAD test for timezone update
  * [95e3b47] Merge branch '2.8.0/35216-addc-timezone'
  * [2e6d6a5] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e88e8e1] Joël Cuissinat: Update package since “debian/eole/2.9.0-48”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 03 Feb 2023 16:55:42 +0100

eole-common (2.9.0-48) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7b39beb] Update timezone in ScribeAD addc container
  * [e39f205] Merge branch '2.8.0/35216-addc-timezone'
  * [6ada864] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d333e29] Joël Cuissinat: Update package since “debian/eole/2.9.0-47”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 01 Feb 2023 09:23:35 +0100

eole-common (2.9.0-47) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3d28ad1] fix /etc/hosts for LemonLDAP "local"
  * [89d4aa6] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e430ed8] Joël Cuissinat: Update package since “debian/eole/2.9.0-46”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 13 Jan 2023 15:33:03 +0100

eole-common (2.9.0-46) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [1498318] Do not unset snap proxy if no EOLE configuration
  * [41d2dfd] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [be01de4] Joël Cuissinat: Update package since “debian/eole/2.9.0-45”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 11 Jan 2023 12:55:55 +0100

eole-common (2.9.0-45) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [408bf78] Remove gnome-terminal during instance
  * [28f31d3] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [59a35a2] Joël Cuissinat: Update package since “debian/eole/2.9.0-44”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 06 Jan 2023 11:56:50 +0100

eole-common (2.9.0-44) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [91390b9] configuration du proxy pour SNAP (ref #35163)
  * [b3f0531] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b7fd92e] Philippe Caseiro: Update package since “debian/eole/2.9.0-43”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 27 Dec 2022 10:45:22 +0100

eole-common (2.9.0-43) eole-2.9.0-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [80d272a] correction détection mot de passe par défaut REF #34925

  [ EOLE Build Daemon ]
  * [3fdf73d] Klaas TJEBBES: Update package since “debian/eole/2.9.0-42”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 13 Dec 2022 16:43:41 +0100

eole-common (2.9.0-42) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [094a5d8] Rétablir l’installation du script ouvre.firewall dans les conteneurs.
  * [7533f87] Merge branch '2.8.1/master'
  * [6d31668] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [206fe89] Benjamin Bohard: Update package since “debian/eole/2.9.0-41”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 01 Dec 2022 11:30:56 +0100

eole-common (2.9.0-41) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [6708009] Revert "ferme.firewall est maintenant un template dans le conteneur (ref #35086)"
  * [82cf6e2] firewall.stop est maintenant un template dans le conteneur (ref #35087)
  * [2e3a364] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [55096ed] Philippe Caseiro: Update package since “debian/eole/2.9.0-40”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 01 Dec 2022 10:04:24 +0100

eole-common (2.9.0-40) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [351709c] ferme.firewall est maintenant un template dans le conteneur (ref #35087)
  * [607a745] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [0965583] Philippe Caseiro: Update package since “debian/eole/2.9.0-39”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 25 Nov 2022 15:35:19 +0100

eole-common (2.9.0-39) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [0410eb2] packaging de l'override (ref #35078)
  * [8fa87d0] suppression du support du credential systemd-sysuserd (ref #35078)
  * [8df8bb4] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ed7846c] Philippe Caseiro: Update package since “debian/eole/2.9.0-38”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 24 Nov 2022 15:45:11 +0100
